<template>
  <swiper
    class="swiper"
    :options="swiperOption"
  >
    <swiper-slide
      v-for="(item, i) in partners"
      :key="`partner-${i}`"
    >
      <div class="swiper-content">
        <a
          v-if="item.link"
          :href="item.link"
          target="_blank"
        >
          <img
            :src="item.logo"
            :alt="item.name"
          >
        </a>
        <img
          v-else
          :src="item.logo"
          :alt="item.name"
        >
      </div>
    </swiper-slide>

    <!-- <div
      slot="pagination"
      class="swiper-pagination"
    /> -->
  </swiper>
</template>

<script>
// eslint-disable-next-line import/no-extraneous-dependencies
import 'swiper/dist/css/swiper.css';
import { swiper, swiperSlide } from 'vue-awesome-swiper';

export default {
  name: 'ThePartners',
  components: {
    swiper,
    swiperSlide,
  },
  props: {
    partners: {
      type: Array,
      required: true,
    },
  },
  data() {
    return {
      swiperOption: {
        slidesPerView: 3,
        spaceBetween: 30,
        freeMode: true,
        pagination: {
          el: '.swiper-pagination',
          clickable: true,
        },
        breakpoints: {
          640: {
            slidesPerView: 1,
            spaceBetween: 20,
          },
        },
      },
    };
  },
};
</script>

<style lang="stylus" scoped>
@media screen and (max-width: 600px)
  .foto-noticia
    display none


.swiper
  height 22rem
  widht 100%
  background-color var(--color-gray)


.swiper-content
  display flex
  justify-content center
  align-items center
  margin 3rem 2rem


.slide-nav
  border-radius 100%;
  background var(--color-primary)
  width 3.2rem
  height 3.2rem
  padding 0.2rem 0.2rem
  display flex
  align-items center


.icon
  font-style normal
  font-weight normal
  font-size 2.4rem
  color var(--color-white)


.text
  font-family Signika
  font-style normal
  font-weight bold
  font-size 24px
  display flex
  align-items center
  justify-content center
  letter-spacing -0.02em
  color var(--color-primary)
  margin-bottom 3rem


.swiper-pagination-bullet-active
  background var(--color-primary) !important
</style>
